<?php

namespace App\Repository;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use App\Entity\Sale;

class SaleRepository extends ServiceEntityRepository {

	public function __construct(ManagerRegistry $registry) {
		parent::__construct($registry, Sale::class);
	}

	public function getSeries() {
		$result = $this->getEntityManager()->getConnection()
			->prepare("select date_trunc('month', date) as date, cast(avg(value / surface) as int) as value from sale s where surface != 0 group by date_trunc('month', date)")
			->executeQuery();
		return $result->fetchAllAssociative();
	}

	public function getRegions(){
		$result = $this->getEntityManager()->getConnection()
			->prepare("select region, (sum_sales * 100 / SUM(sum_sales) OVER ()) as percentage from (select region, count(*) as sum_sales from sale group by region) as q_sum group by q_sum.region, q_sum.sum_sales order by percentage desc limit 8")
			->executeQuery();
		return $result->fetchAllAssociative();
	}
}